<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>

<head>
  <title>Software Testing Automation Framework (STAF)</title>
</head>

<body>

<?php
require "top.php";
require "navigate.php";
?>

<!-- Insert text for page here -->

<tr>
<td>

<center><a name=top><h1>Download STAF V3</h1></center>
<p>
The latest releases for STAF V3 can be downloaded from this page.
If you want to download the latest releases for STAF V2, go to
the <a href="getcurrent2x.php">Download STAF V2"</a> page instead.
Earlier releases of STAF can be accessed from the
<a href="http://sourceforge.net/project/showfiles.php?group_id=33142">
"See All Releases"</a> page.
<p>
See the <a href="history.php">STAF V3 History</a> page for STAF V3
history information.
<br>
See the <a href="current/STAFOverview.html">STAF V3 Overview</a> page
for more information about STAF V3.
<p>
<h3>Binaries</h3>
<p>
The recommended installation method for STAF is to use InstallShield
MultiPlatform (ISMP).  However, if we haven't yet provided an
InstallShield MultiPlatform file, use the GNU zipped or compressed tar
file, if provided, to do a STAFInst install.
<p>
See the <a href="current/STAFUG.htm">STAF V3 User's Guide</a> for more
detailed instructions for installing STAF V3.
<p>
The latest STAF V3 release is STAF V3.0.2.
Files which are not at the latest release level are marked with an
asterisk (*).
<p>
<table border="1">
<tr>
  <td><b>Platform</td>
  <td><b>Release</b></td>
  <td><b>File</b></td>
  <td><b>File format</b></td>
  <td><b>File size</b></td>
</tr>
<tr>
  <td>Win95/98/Me/NT/2000/XP/2003</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-setup-win32.exe?download">STAF302-setup-win32.exe</a></td>
  <td>InstallShield MultiPlatform executable<br> (includes bundled JVM)</td>
  <td>45M</td>
</tr>
<tr>
  <td>Win95/98/Me/NT/2000/XP/2003</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-setup-win32.jar?download">STAF302-setup-win32.jar</a></td>
  <td>InstallShield MultiPlatform Jar file<br> (requires Java 1.2 or higher)</td>
  <td>12M</td>
</tr>
<tr>
  <td>Windows 2003 (IA64)</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-setup-win64.exe?download">STAF302-setup-win64.exe</a></td>
  <td>InstallShield MultiPlatform executable<br> (includes bundled JVM)</td>
  <td>42M</td>
</tr>
<tr>
  <td>Windows 2003 (IA64)</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-setup-win64.jar?download">STAF302-setup-win64.jar</a></td>
  <td>InstallShield MultiPlatform Jar file<br> (requires Java 1.4 or higher)</td>
  <td>14M</td>
</tr>
<tr>
  <td>Linux (Intel)</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-setup-linux.bin?download">STAF302-setup-linux.bin</a></td>
  <td>InstallShield MultiPlatform executable<br> (includes bundled JVM)</td>
  <td>49M</td>
</tr>
<tr>
  <td>Linux (Intel)</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-setup-linux.jar?download">STAF302-setup-linux.jar</a></td>
  <td>InstallShield MultiPlatform Jar file<br> (requires Java 1.2 or higher)</td>
  <td>13M</td>
</tr>
<tr>
  <td>Linux (Intel)</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-linux.tar.gz?download">STAF302-linux.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>7.0M</td>
</tr>
<tr>
  <td>Linux (IA64)</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-linux-ia64.tar.gz?download">STAF302-linux-ia64.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>6.9M</td>
</tr>
<tr>
  <td>Linux (AMD64)</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-linux-amd64.tar.gz?download">STAF302-linux-amd64.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>5.4M</td>
<tr>
  <td>Linux (PPC64 32-bit)</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-linux-ppc64-32.tar.gz?download">STAF302-linux-ppc64-32.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>5.1M</td>
</tr>
<tr>
  <td>Linux (PPC64 64-bit)</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-linux-ppc64-64.tar.gz?download">STAF302-linux-ppc64-64.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>5.7M</td>
</tr>
<tr>
  <td>Linux (z/OS 32-bit)</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-zlinux-32.tar.gz?download">STAF302-zlinux-32.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>4.7M</td>
</tr>
<tr>
  <td>Linux (z/OS 64-bit)</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-zlinux-64.tar.gz?download">STAF302-zlinux-64.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>4.9M</td>
</tr>
<tr>
  <td>Linux (z/OS 64-bit for RHEL4)</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-zlinux-rhel4-64.tar.gz?download">STAF302-zlinux-rhel4-64.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>5.1M</td>
</tr>
<tr>
  <td>Linux (z/OS 64-bit for SLES9)</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-zlinux-sles9-64.tar.gz?download">STAF302-zlinux-sles9-64.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>5.1M</td>
</tr>
<tr>
  <td>Solaris (Sparc) 2.6+</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-setup-solaris-sparc.bin?download">STAF302-setup-solaris-sparc.bin</a></td>
  <td>InstallShield MultiPlatform executable<br> (includes bundled JVM)</td>
  <td>33M</td>
</tr>
<tr>
  <td>Solaris (Sparc) 2.6+</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-setup-solaris-sparc.jar?download">STAF302-setup-solaris-sparc.jar</a></td>
  <td>InstallShield MultiPlatform Jar file<br> (requires Java 1.2 or higher)</td>
  <td>12M</td>
</tr>
<tr>
  <td>Solaris (Sparc) 2.6+</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-solaris-sparc.tar.gz?download">STAF302-solaris-sparc.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>5.6M</td>
</tr>
<tr>
  <td>AIX 5.1+</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-setup-aix.bin?download">STAF302-setup-aix.bin</a></td>
  <td>InstallShield MultiPlatform executable<br> (includes bundled JVM)</td>
  <td>47M</td>
</tr>
<tr>
  <td>AIX 5.1+</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-setup-aix.jar?download">STAF302-setup-aix.jar</a></td>
  <td>InstallShield MultiPlatform Jar file<br> (requires Java 1.2 or higher)</td>
  <td>13M</td>
</tr>
<tr>
  <td>AIX 5.1+</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-aix.tar.gz?download">STAF302-aix.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>7.0M</td>
</tr>
<tr>
  <td>AIX 5.1+ (64-bit)</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-setup-aix64.bin?download">STAF302-setup-aix64.bin</a></td>
  <td>InstallShield MultiPlatform executable<br> (includes bundled JVM)</td>
  <td>47M</td>
</tr>
<tr>
  <td>AIX 5.1+ (64-bit)</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-setup-aix64.jar?download">STAF302-setup-aix64.jar</a></td>
  <td>InstallShield MultiPlatform Jar file<br> (requires Java 1.2 or higher)</td>
  <td>14M</td>
</tr>
<tr>
  <td>AIX 5.1+ (64-bit)</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-aix64.tar.gz?download">STAF302-aix64.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>7.0M</td>
</tr>
<tr>
  <td>AIX 4.3.3.0+ (IPv4 only)</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-setup-aix433.bin?download">STAF302-setup-aix433.bin</a></td>
  <td>InstallShield MultiPlatform executable<br> (includes bundled JVM)</td>
  <td>47M</td>
</tr>
<tr>
  <td>AIX 4.3.3.0+ (IPv4 only)</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-setup-aix433.jar?download">STAF302-setup-aix433.jar</a></td>
  <td>InstallShield MultiPlatform Jar file<br> (requires Java 1.2 or higher)</td>
  <td>13M</td>
</tr>
<tr>
  <td>AIX 4.3.3.0+ (IPv4 only)</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-aix433.tar.gz?download">STAF302-aix433.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>7.3M</td>
</tr>
<tr>
  <td>HP-UX 11.00+ (PA-RISC)</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-setup-hpux.bin?download">STAF302-setup-hpux.bin</a></td>
  <td>InstallShield MultiPlatform executable</td>
  <td>64M</td>
<tr>
  <td>HP-UX 11.00+ (PA-RISC)</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-setup-hpux.jar?download">STAF302-setup-hpux.jar</a></td>
  <td>InstallShield MultiPlatform Jar file<br> (requires Java 1.2 or higher)</td>
  <td>12M</td>
<tr>
  <td>HP-UX 11.00+ (PA-RISC)</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-hpux.tar.gz?download">STAF302-hpux.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>5.8M</td>
</tr>
<tr>
  <td>HP-UX 11.00+ (IA64 32-bit)</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-setup-hpux-ia64-32.bin?download">STAF302-setup-hpux-ia64-32.bin</a></td>
  <td>InstallShield MultiPlatform executable</td>
  <td>44M</td>
<tr>
  <td>HP-UX 11.00+ (IA64 32-bit)</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-setup-hpux-ia64-32.jar?download">STAF302-setup-hpux-ia64-32.jar</a></td>
  <td>InstallShield MultiPlatform Jar file<br> (requires Java 1.2 or higher)</td>
  <td>15M</td>
<tr>
  <td>HP-UX 11.00+ (IA64 32-bit)</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-hpux-ia64-32.tar.gz?download">STAF302-hpux-ia64-32.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>11M</td>
</tr>
<tr>
  <td>HP-UX 11.00+ (IA64 64-bit)</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-setup-hpux-ia64-64.bin?download">STAF302-setup-hpux-ia64-64.bin</a></td>
  <td>InstallShield MultiPlatform executable</td>
  <td>44M</td>
<tr>
  <td>HP-UX 11.00+ (IA64 64-bit)</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-setup-hpux-ia64-64.jar?download">STAF302-setup-hpux-ia64-64.jar</a></td>
  <td>InstallShield MultiPlatform Jar file<br> (requires Java 1.2 or higher)</td>
  <td>15M</td>
<tr>
  <td>HP-UX 11.00+ (IA64 64-bit)</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-hpux-ia64-64.tar.gz?download">STAF302-hpux-ia64-64.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>11M</td>
</tr>
<tr>
  <td>AS/400</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-as400.tar.gz?download">STAF302-as400.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>7.0M</td>
</tr>
<tr>
  <td>z/OS</td>
  <td>3.0.2</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-zos.tar.Z?download">STAF302-zos.tar.Z</a></td>
  <td>Unix compressed file</td>
  <td>10M</td>
</tr>
</table>

<p>
<h3>Sample Authenticator</h3>

<table border="1">
<tr><td><b>File</b></td><td><b>File Format</b></td><td><b>File Size</b></td></tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/AuthSampleV300.jar?download">AuthSampleV300.jar</a></td>
  <td>Jar file</td>
  <td>4K</td>
</tr>
<tr>
</table>

<p>
<h3>Source code</h3>

<table border="1">
<tr><td><b>File</b></td><td><b>File Format</b></td><td><b>File Size</b></td></tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-src.tar.gz?download">STAF302-src.tar.gz</a></td>
  <td>GNU zipped tar</td>
  <td>13M</td>
</tr>
<tr>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF302-src.zip?download">STAF302-src.zip</a></td>
  <td>Zip file</td>
  <td>14M</td>
</tr>
<tr>
</table>
<p>

<p>
<h3>Documentation</h3>

<table border="1">
<tr><td><b>Document</b></td><td><b>File</b></td></tr>
<tr>
  <td><a href="current/STAFGS.pdf">Getting Started with STAF V3</a></td>
  <td>STAFGS.pdf</td>
</tr>
<tr>
  <td><a href="current/STAFV30Overview.ppt">STAF V3 Overview Presentation</a></td>
  <td>STAFV30Overview.ppt</td>
</tr>
<tr>
  <td><a href="current/stafmigrate.html">STAF V3 Migration Guide</a></td>
  <td>stafmigrate.html</td>
</tr>
<tr>
  <td><a href="current/STAFUG.htm">STAF V3 User's Guide</a></td>
  <td>STAFUG.htm</td>
</tr>
<tr>
  <td><a href="current/STAFFAQ.htm">STAF V3 Frequently Asked Questions</a></td>
  <td>STAFFAQ.htm</td>
</tr>
<tr>
  <td><a href="current/STAFCMDS.htm">STAF V3 Service Command Reference</a></td>
  <td>STAFCMDS.htm</td>
</tr>
<tr>
  <td><a href="current/STAFRC.htm">STAF V3 API Return Code Reference</a></td>
  <td>STAFRC.htm</td>
</tr>
<tr>
  <td><a href="current/stafdg.html">STAF V3 Developer's Guide</a></td>
  <td>stafdg.html</td>
</tr>
<tr>
  <td><a href="current/stafsdg.html">STAF V3 Service Developer's Guide</a></td>
  <td>stafsdg.html</td>
</tr>
</table>
<p>

<!-- end of text for page -->

<?php
require "bottom.php";
?>

</body>
</html>

