<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>

<head>
        <title>Software Testing Automation Framework (STAF)</title>
</head>

<body>

<?php
require "top.php";
require "navigate.php";
?>

<!-- Insert text for home page here -->

<tr>
<td>
<font face="arial, helvetica" color="#1e029a" size="4"><b>Welcome to STAF</b></font>
<p>
The Software Testing Automation Framework (STAF) is an open source, multi-platform,
multi-language framework designed around the idea of reusable components, called services
(such as process invocation, resource management, logging, and monitoring).
STAF removes the tedium of building an automation infrastructure, thus enabling you to
focus on building your automation solution.
<p>
STAX is an execution engine which can help you thoroughly automate the
distribution, execution, and results analysis of your testcases. STAX builds on top of
three existing technologies, STAF, XML, and Python, to place great automation power in
the hands of testers. STAX also provides a powerful GUI monitoring application which
allows you to interact with and monitor the progress of your jobs.
<p>
Other STAF services are also provided to help you to create an end-to-end automation
solution.  Other STAF services include:  Event, EventManager, Cron, Email, HTTP,
NamedCounter, FSExt (File System EXTension), and Timer.

<BR><BR>
<font face="arial, helvetica" color="#1e029a" size="4"><b>Latest Releases</b></font>
<p>
<font size="3"><b>STAF/STAX V3</b></font>
<ul compact>
<li><b>STAF 3.0.2</b> (July 19, 2005) is the current release of STAF V3
    (<a href="current/STAFOverview.html">Overview</a> /
     <a href="history.php">Details</a> / <a href="getcurrent.php">Download</a>) 
<li><b>STAX 3.0.1</b> (June 28, 2005) is the current release of STAX for STAF V3
    (<a href="staxhistory.php">Details</a> / <a href="getstax.php">Download</a>)
</ul>
<p>
<font size="3"><b>STAF/STAX V2</b></font>
<ul compact>
<li><b>STAF 2.6.8</b> (May 5, 2005) is the current release of STAF V2
    (<a href="history2x.php">Details</a> / <a href="getcurrent2x.php">Download</a>)
<li><b>STAX 1.5.7</b> (May 5, 2005) is the current release of STAX for STAF V2
    (<a href="staxhistory2x.php">Details</a> / <a href="getstax2x.php">Download</a>)
</ul>
<p>
<b>Note:</b>  STAF V3 has significant changes from STAF V2.  If you are currently using STAF V2,
be sure to read the <a href="http://staf.sourceforge.net/current/stafmigrate.html">
STAF V3 Migration Guide</a> to understand changes that you will have to make to migrate
from STAF V2 to STAF V3.  Note that STAF V2.x is now a maintenance version which
means that only bug fixes will be made (no new features will be added to STAF V2).
We recommend that you migrate to STAF V3 at your earliest convenience.
<p>
<font face="arial, helvetica" color="#1e029a" size="4"><b>Latest News</b></font><BR>
<ul>
  <li><b>July 19, 2005:</b> <a href="getcurrent.php">STAF 3.0.2</a> is now available.
  <li><b>June 28, 2005:</b> <a href="getcurrent.php">STAF 3.0.1</a> is now available.
  <li><b>June 28, 2005:</b> <a href="getstax.php">STAX 3.0.1</a> is now available.
  <li><b>May 5, 2005:</b> <a href="getcurrent2x.php">STAF 2.6.8</a> is now available.
  <li><b>May 5, 2005:</b> <a href="getstax2x.php">STAX 1.5.7</a> is now available.
  <li><b>April 22, 2005:</b> <a href="getcurrent.php">STAF 3.0.0</a> is now available.
  <li><b>April 22, 2005:</b> <a href="getstax.php">STAX 3.0.0</a> is now available.
  <li><b>January 26, 2005:</b> <a href="getcurrent2x.php">STAF 2.6.7</a> is now available.
  <li><b>January 26, 2005:</b> <a href="getstax2x.php">STAX 1.5.6</a> is now available.
 <!--
  <li><b>December 14, 2004:</b> <a href="getcurrent.php">STAF 3.0.0 Beta 7</a> is now available.
  <li><b>November 19, 2004:</b> <a href="getcurrent.php">STAF 3.0.0 Beta 6</a> is now available.
  <li><b>November 5, 2004:</b> <a href="getstax2x.php">STAX 1.5.5</a> is now available.
  <li><b>November 5, 2004:</b> <a href="getcurrent2x.php">STAF 2.6.6</a> is now available.
  <li><b>October 31, 2004:</b> <a href="getcurrent.php">STAF 3.0.0 Beta 5</a> is now available.
  <li><b>September 30, 2004:</b> <a href="getcurrent.php">STAF 3.0.0 Beta 4</a> is now available.
  <li><b>September 14, 2004:</b> <a href="getcurrent2x.php">STAF 2.6.5</a> is now available.
  <li><b>August 2, 2004:</b> <a href="getcurrent2x.php">STAF 2.6.4</a> is now available.
  <li><b>July 22, 2004:</b> <a href="getstax2x.php">STAX 1.5.4</a> is now available.
  <li><b>June 30, 2004:</b> <a href="getcurrent.php">STAF 3.0.0 Beta 3</a> is now available.
  <li><b>May 26, 2004:</b> <a href="getstax2x.php">STAX 1.5.3</a> is now available.
  <li><b>May 14, 2004:</b> <a href="getcurrent2x.php">STAF 2.6.3</a> is now available.
  <li><b>May 3, 2004:</b> <a href="getcurrent.php">STAF 3.0.0 Beta 2</a> is now available.
  <li><b>April 30, 2004:</b> <a href="getcurrent2x.php">STAF 2.6.2</a> is now available.
  <li><b>April 2, 2004:</b> <a href="getcurrent.php">STAF 3.0.0 Beta 1</a> is now available.
  <li><b>April 2, 2004:</b> <a href="getstax2x.php">STAX 1.5.2</a> is now available.
  <li><b>April 2, 2004:</b> <a href="getcurrent2x.php">STAF 2.6.1</a> is now available.
  <li><b>March 4, 2004:</b> <a href="getstax2x.php">STAX 1.5.1</a> is now available.
  <li><b>March 4, 2004:</b> <a href="getcurrent2x.php">STAF 2.6.0</a> is now available.
  <li><b>January 29, 2004:</b> <a href="getstax2x.php">STAX 1.5.0</a> is now available.
  <li><b>January 29, 2004:</b> <a href="getcurrent2x.php">STAF 2.5.2</a> is now available.
  <li><b>September 30, 2003:</b> <a href="getstax.php">STAX 1.4.1</a> is now available.
  <li><b>September 29, 2003:</b> <a href="getcurrent.php">STAF 2.5.1</a> is now available.
  <li><b>July 30, 2003:</b> <a href="getcurrent.php">STAF 2.5.0</a> is now available.
  <li><b>June 4, 2003:</b> <a href="getstax.php">STAX 1.4.0</a> is now available.
  <li><b>March 27, 2003:</b> <a href="getcurrent.php">STAF 2.4.5</a> is now available.
  <li><b>March 18, 2003:</b> <a href="getstax.php">STAX 1.3.3</a> is now available.
  <li><b>March 13, 2003:</b> <a href="getcurrent.php">STAF 2.4.4</a> is now available.
  <li><b>December 11, 2002:</b> <a href="getstax.php">STAX 1.3.2</a> is now available.
  <li><b>December 10, 2002:</b> <a href="http://sourceforge.net/project/showfiles.php?group_id=33142">STAF 2.4.3</a> is now available.
  <li><b>October 8, 2002:</b> <a href="http://sourceforge.net/project/showfiles.php?group_id=33142">STAF 2.4.2 and STAX 1.3.1</a> are now available.
  <li><b>August 29, 2002:</b> <a href="getstax.php">STAX 1.2.1</a> is now available.
  <li><b>August 27, 2002:</b> <a href="http://sourceforge.net/project/showfiles.php?group_id=33142">STAF 2.4.1</a> is now available.
  <li><b>August 5, 2002:</b> <a href="http://sourceforge.net/project/showfiles.php?group_id=33142">STAF 2.4.0</a> is now available.
  <li><b>June 3, 2002:</b> <a href="http://sourceforge.net/project/showfiles.php?group_id=33142">STAF 2.3.2</a> is now available for Windows, Linux, AIX, and Solaris.
  <li><b>April 11, 2002:</b> <a href="http://sourceforge.net/project/showfiles.php?group_id=33142">STAF 2.3.1</a> is now available for Windows and Linux.
  -->  
</ul>

</td>
</tr>

<!-- End of text for home page -->

<?php
require "bottom.php";
?>

</body>
</html>

