<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">

<html>

<head>
  <title>Software Testing Automation Framework (STAF)</title>
</head>

<body>

<?php
require "top.php";
require "navigate.php";
?>

<!-- Insert text for page here -->

<tr>
<td>

<center><a name=top><h1>STAF/STAX Education</h1></center>

<p>
The following education is provided for the current versions of STAF V3 and STAX V3.
If you want to access the education for STAF V2, go to the <a href="education2x.php">
STAF V2 Education</a> page instead.
<p>

<p>
<font face="arial, helvetica" color="#1e029a" size="4"><b>Hands-On Automation with STAF/STAX 3</b></font>
<p>
This education package is intended to familiarize new users with the STAF and
STAX tools, and to provide hands-on experience with the tools.
<p>
Each file contains "Part1", "Part2", "Part3", and "Part4" directories.
Each of these directories contains a Microsoft PowerPoint presentation
(STAF-STAX-HandsOn-PartX.ppt) for the lecture portion of the education and an
HTML file (PartX-Exercises.html) for the exercises.  The presentation files
and exercise files can also be accessed directly via the "Online Education"
section below.
<p>
<table border="1">
<tr>
  <td><b>Platform</td>
  <td><b>File</b></td>
  <td><b>File format</b></td>
  <td><b>File size</b></td>
</tr>
<tr>
  <td>Windows</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF-STAX-HandsOn-Education-300.zip">STAF-STAX-HandsOn-Education-300.zip</a></td>
  <td>zip file</td>
  <td>62 MB</td>
</tr>
<tr>
  <td>Unix</td>
  <td><a href="http://prdownloads.sourceforge.net/staf/STAF-STAX-HandsOn-Education-300.tar">STAF-STAX-HandsOn-Education-300.tar</a></td>
  <td>tar file</td>
  <td>68 MB</td>
</tr>
</table>

<p>

<p>
<font face="arial, helvetica" color="#1e029a" size="4"><b>Online Education
</font>
<p>

<a href="educ/Prerequisites.html">Prerequisites</a>
<br>
<a href="educ/STAF-STAX-HandsOn-Agenda.ppt">Agenda (PowerPoint)</a>
<p>

<table border="1">
<tr>
<td>Hands-On Automation with STAF/STAX 3 Part 1</td>
<td><a href="educ/STAF-STAX-HandsOn-Part1.ppt">STAF-STAX-HandsOn-Part1.ppt</a></td>
<td><a href="educ/Part1-Exercises.html">Part 1 Exercises</a></td>
</tr>
<tr>
<td>Hands-On Automation with STAF/STAX 3 Part 2</td>
<td><a href="educ/STAF-STAX-HandsOn-Part2.ppt">STAF-STAX-HandsOn-Part2.ppt</a></td>
<td><a href="educ/Part2-Exercises.html">Part 2 Exercises</a></td>
</tr>
<tr>
<td>Hands-On Automation with STAF/STAX 3 Part 3</td>
<td><a href="educ/STAF-STAX-HandsOn-Part3.ppt">STAF-STAX-HandsOn-Part3.ppt</a></td>
<td><a href="educ/Part3-Exercises.html">Part 3 Exercises</a></td>
</tr>
<tr>
<td>Hands-On Automation with STAF/STAX 3 Part 4</td>
<td><a href="educ/STAF-STAX-HandsOn-Part4.ppt">STAF-STAX-HandsOn-Part4.ppt</a></td>
<td><a href="educ/Part4-Exercises.html">Part 4 Exercises</a></td>
</tr>
</table>

</td>
</tr>

<!-- end of text for page -->

<?php
require "bottom.php";
?>

</body>
</html>





